## rlottie-qml 0.1~git20240610.022644c

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
set(PLUGIN "rLottieQml")
project(${PLUGIN} VERSION 0.1 LANGUAGES C CXX)

set(
    SRC
    src/plugin.cpp
    src/qlottieframeprovider.cpp
    # qml/qml.qrc
)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

# qt5_add_resources(SRC qml/qml.qrc)
add_library(${PLUGIN} MODULE ${SRC})
# set_target_properties(${PLUGIN} PROPERTIES LIBRARY_OUTPUT_DIRECTORY ${PLUGIN})
# qt5_use_modules(${PLUGIN} Qml Quick DBus Multimedia)

find_package(Qt5 COMPONENTS Core Qml Quick Multimedia CONFIG REQUIRED)
# set(rlottie_DIR "${CMAKE_CURRENT_BINARY_DIR}/../rlottie/install/lib/cmake/rlottie")
find_package(rlottie REQUIRED)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
find_package(QuaZip REQUIRED)

target_include_directories(${PLUGIN} SYSTEM PRIVATE ${QUAZIP_INCLUDE_DIR})
target_link_libraries(${PLUGIN} ${QUAZIP_LIBRARIES} rlottie::rlottie)
target_link_libraries(${PLUGIN}
  # PUBLIC
  Qt5::Qml
  Qt5::Quick
  Qt5::Core
  Qt5::Multimedia
)


execute_process(
    COMMAND dpkg-architecture -qDEB_HOST_MULTIARCH
    OUTPUT_VARIABLE ARCH_TRIPLET
    OUTPUT_STRIP_TRAILING_WHITESPACE
)

set(QT_IMPORTS_DIR "/lib/${ARCH_TRIPLET}")


##############################################
# Installation instructions

include(GNUInstallDirs)
set(INSTALL_CONFIGDIR ${CMAKE_INSTALL_LIBDIR}/cmake/rLottieQml)
install(TARGETS ${PLUGIN}
    EXPORT rLottieQmlExport
    LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}"
    ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}"
)

install(
  EXPORT rLottieQmlExport
  DESTINATION ${INSTALL_CONFIGDIR}
  NAMESPACE rLottieQml::
  FILE rLottieQmlExport.cmake
)

install(TARGETS ${PLUGIN} DESTINATION ${QT_IMPORTS_DIR}/${PLUGIN}/QLottieFrameProvider/)
install(FILES src/qmldir DESTINATION ${QT_IMPORTS_DIR}/${PLUGIN}/QLottieFrameProvider/)
install(FILES qml/LottieAnimation.qml DESTINATION ${QT_IMPORTS_DIR}/${PLUGIN}/QLottieFrameProvider/)

export(EXPORT rLottieQmlExport FILE ${CMAKE_BINARY_DIR}/rLottieQmlExport.cmake)

#####################
# ConfigVersion file
##
include(CMakePackageConfigHelpers)
write_basic_package_version_file(
    ${CMAKE_CURRENT_BINARY_DIR}/rLottieQmlConfigVersion.cmake
    VERSION 0.1
    COMPATIBILITY AnyNewerVersion
)

configure_package_config_file(
    ${CMAKE_CURRENT_LIST_DIR}/cmake/rLottieQmlConfig.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/rLottieQmlConfig.cmake
    INSTALL_DESTINATION ${INSTALL_CONFIGDIR}
)

# Install all the helper files
install(
    FILES
      ${CMAKE_CURRENT_BINARY_DIR}/rLottieQmlConfig.cmake
      ${CMAKE_CURRENT_BINARY_DIR}/rLottieQmlConfigVersion.cmake
    DESTINATION ${INSTALL_CONFIGDIR}
)

##############################################
## Exporting from the build tree
# configure_file(${CMAKE_CURRENT_LIST_DIR}/cmake/FindRapidJSON.cmake
#     ${CMAKE_CURRENT_BINARY_DIR}/FindRapidJSON.cmake
#     COPYONLY)

export(EXPORT rLottieQmlExport
    FILE ${CMAKE_CURRENT_BINARY_DIR}/rLottieQmlExport.cmake
    NAMESPACE rLottieQml::)

#Register package in the User Package Registry
export(PACKAGE rLottieQml)

## rlottie-qml 0.1~git20210503.f950688

=== debian/changelog ===
rlottie-qml (0.1~git20210503.f950688-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1068861).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 12 Apr 2024 14:12:24 +0200

=== debian/control ===
Source: rlottie-qml
Section: libs
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: cmake,
               cmake-extras,
               debhelper-compat (= 13),
               libquazip5-dev,
               librlottie-dev,
               qtbase5-dev,
               qtdeclarative5-dev,
               qtmultimedia5-dev,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://gitlab.com/mymike00/rlottie-qml
Vcs-Browser: https://salsa.debian.org/ubports-team/rlottie-qml/
Vcs-Git: https://salsa.debian.org/ubports-team/rlottie-qml.git

Package: qml-module-rlottie
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         qml-module-qtquick2,
Description: rLottie QML module
 rLottie is a platform independent standalone C++ library for rendering
 vector based animations and art in realtime.
 .
 This package provides a QML module binding for rLottie.

## rlottie-qml 0.1~git20240610.022644c

=== debian/changelog ===
rlottie-qml (0.1~git20240610.022644c-2) unstable; urgency=medium

  [ Cosima Neidahl ]
  * debian/patches:
    + Add 1003-Fix-QLottieFrameProvider-install-location.patch. Fix install
      location of QLottieFrameProvider.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 31 Dec 2024 11:09:01 +0100

rlottie-qml (0.1~git20240610.022644c-1) unstable; urgency=medium

  * New upstream Git snapshot:
    https://gitlab.com/mymike00/rlottie-qml/-/tree/
    022644c5eefc23b6f99cf77c1005666d5a678562
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions and adjust to the upstream license changes
      (GPL-3 -> LGPL-3).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 05 Nov 2024 13:32:58 +0100

rlottie-qml (0.1~git20210503.f950688-2) unstable; urgency=medium

  [ Cosima Neidahl ]
  * debian/patches:
    + Add 1002_Use-upstream-QuaZip.patch. Apply patch to use upstream QuaZip
      CMake module.
  * debian/control:
    + In B-D, switch from libquazip5-dev to libquazip1-qt5-dev.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 18 Oct 2024 20:27:29 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: cmake,
                cmake-extras,
                debhelper-compat (= 13),
-               libquazip5-dev,
+               libquazip1-qt5-dev,
                librlottie-dev,
                qtbase5-dev,
                qtdeclarative5-dev,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DPKG_GENSYMBOLS_CHECK_LEVEL=4

ifneq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	CONFIGURE_OPTS += -DENABLE_TESTS=OFF
endif

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	    $(CONFIGURE_OPTS)

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none,  pretty=0.1~git%cd.%h" \
https://gitlab.com/mymike00/rlottie-qml.git \
heads/master
